package flm.b4a.onlyme;

import android.app.admin.DeviceAdminReceiver;
import android.content.Context;
import android.content.Intent;
import anywheresoftware.b4a.BA;

@BA.Hide
public class AdminReceiver extends DeviceAdminReceiver
{
	static BA _ba;
	static String _evtAdminEnabled, _evtAdminDisabled;
	static String _evtLockTaskModeEntering, _evtLockTaskModeExiting;

	@Override
	public void onEnabled(Context context, Intent intent)
	{
		_ba.raiseEvent2(this, true, _evtAdminEnabled, false, new Object[0]);
	}

	@Override
	public void onDisabled(Context context, Intent intent)
	{
		_ba.raiseEvent2(this, true, _evtAdminDisabled, false, new Object[0]);
	}

	@Override
	public void onLockTaskModeEntering(Context context, Intent intent, String pkg)
	{
		_ba.raiseEvent2(this, true, _evtLockTaskModeEntering, false, new Object[] {});
	}

	@Override
	public void onLockTaskModeExiting(Context context, Intent intent)
	{
		_ba.raiseEvent2(this, true, _evtLockTaskModeExiting, false, new Object[0]);
	}
}
